/*
 * Copyright 2009 Johnson Consulting Services
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.johnsoncs.gwt.widgets.client.common;

/**
 * Used by components requiring z-index values.  Consistent use of this class ensures consistent z-index orders.
 *
 */
public class ZIndexStack {
	private static int current = 10;

	/**
	 * Pops the next value from the stack
	 * @return the next highest unused z-index value
	 */
	public static int pop() {
		return current++;
	}

	/**
	 * Pushes the last popped value back onto the stack.
	 */
	public static void push() {
		current--;
	}
}
