/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.client.dynamictable.export;

import com.google.gwt.core.client.GWT;
import com.johnsoncs.gwt.widgets.client.rebind.ClassReference;
import com.johnsoncs.gwt.widgets.client.rebind.ClassReferences;
import com.johnsoncs.gwt.widgets.server.export.impl.CsvExporter;
import com.johnsoncs.gwt.widgets.server.export.impl.TabDelimitedExporter;

/**
 * Provides the class names for the built-in export formats
 * @author wilj
 *
 */
public abstract class ExportFormats implements ClassReferences {
	public static final ExportFormats INSTANCE = GWT.create(ExportFormats.class);

	@ClassReference(CsvExporter.class)
	public abstract String getCsvFormat();

	@ClassReference(TabDelimitedExporter.class)
	public abstract String getTabDelimitedFormat();

}
