/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.client.dynamictable.export.download;

import java.util.LinkedList;

import com.google.gwt.user.client.Command;
import com.google.gwt.user.client.DeferredCommand;
import com.google.gwt.user.client.ui.Frame;
import com.google.gwt.user.client.ui.RootPanel;

/**
 * @author wilj
 *
 */
public class ExportDownloaderDefault implements ExportDownloader {
	private final LinkedList<Frame> frames = new LinkedList<Frame>();

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.dynamictable.export.download.ExportDownloader#download(java.lang.String)
	 */
	public void download(final String url) {
		final Frame f = new Frame(url);
		f.setVisible(false);
		RootPanel.get().add(f);
		frames.add(f);
		DeferredCommand.addCommand(new Command() {
			@Override
			public void execute() {
				// in case the user is fast and the network is slow, give it a bit before removing the frame
				while (frames.size() > 3) {
					RootPanel.get().remove(frames.removeFirst());
				}
			}
		});
	}
}
