/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.client.notifications;

import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.Widget;

/**
 * @author wilj
 *
 */
public class Notification extends Composite {
	private final int duration;

	//	private final HandlerRegistration preview;

	public Notification(final String message, final int duration) {
		this(new HTML(message, true), duration);
	}

	public Notification(final Widget widget, final int duration) {
		this.duration = duration;
		super.initWidget(widget);
		//		super.addStyleName(Styles.NOTIFICATION.getStyle());
	}

	/**
	 * @return the duration
	 */
	public int getDuration() {
		return duration;
	}

}
