/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.client.themes;

import com.google.gwt.core.client.GWT;
import com.johnsoncs.gwt.widgets.client.common.CommonImages;
import com.johnsoncs.gwt.widgets.client.common.CommonMessages;
import com.johnsoncs.gwt.widgets.client.common.ScrollImages;
import com.johnsoncs.gwt.widgets.client.dynamictable.TableImages;
import com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages;
import com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportImages;
import com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages;
import com.johnsoncs.gwt.widgets.client.notifications.NotificationImages;

/**
 * This interface defines the base class required for implementing a theme for the JCS GWT Components library
 * @author wilj
 *
 */
public interface Theme {
	public static final Theme INSTANCE = GWT.create(Theme.class);

	CommonImages getCommonImages();

	CommonMessages getCommonMessages();

	ExportImages getExportImages();

	ExportMessages getExportMessages();

	NotificationImages getNotificationImages();

	ScrollImages getScrollImages();

	TableImages getTableImages();

	TableMessages getTableMessages();
}
