/*
 * Copyright 2009 Johnson Consulting Services
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.johnsoncs.gwt.widgets.server.export;

import com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportRequest;
import com.johnsoncs.gwt.widgets.client.util.Callback;

/**
 * Defines a class capable of retrieving rows to be exported
 * @author wilj
 *
 * @param <T> the generic type with which the table structure is associated
 */
public interface ExportModel<T> {
	/**
	 * Exports rows as specified by the ExportRequest
	 * @param request export request configuration
	 * @param rowCallback callback to be invoked as each row retrieved
	 */
	public void export(ExportRequest<T> request, Callback<T> rowCallback);
}
