/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.server.export;

/**
 * 
 * An export format that requires the data in a mapped (tabular) format
 * 
 * @author wilj
 *
 */
public abstract class MappedExportFormat<T> implements ExportFormat<T> {
	private RowMapper<T> rowMapper;

	/**
	 * Returns the RowMapper to be used by this ExportFormat for the current export request
	 * @return the RowMapper to be used by this ExportFormat for the current export request
	 */
	public RowMapper<T> getRowMapper() {
		return rowMapper;
	}

	/**
	 * Sets the RowMapper to be used by this ExportFormat for the current export request
	 * @param rowMapper the RowMapper to be used by this ExportFormat for the current export request
	 */
	public void setRowMapper(final RowMapper<T> rowMapper) {
		this.rowMapper = rowMapper;
	}
}
