/*
 * Copyright 2009 Johnson Consulting Services
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.johnsoncs.gwt.widgets.server.export;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Defines a class capable of taking in a row value and exporting it to a LinkedHashMap of fields
 * @author wilj
 *
 * @param <T> the generic type with which the table structure is associated
 */
public interface RowMapper<T> {
	/**
	 * Returns a LinkedHashMap of fields from the row to be exported
	 * @param value the row value to be exported
	 * @return LinkedHashMap of fields from the row to be exported
	 */
	public LinkedHashMap<String, String> map(T value, Map<String, String> columns);
}
