/*
 * Copyright 2009 Johnson Consulting Services
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.johnsoncs.gwt.widgets.server.export.impl;

/**
 * DelimitedExporter configured to use commas for delimiters
 * @author wilj
 *
 * @param <T> the generic type with which the table structure is associated
 */
public class CsvExporter<T> extends DelimitedExporter<T> {
	private static final long serialVersionUID = 1L;

	public CsvExporter() {
		super(',', "\r\n");
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.server.export.ExportFormat#getFileExtension()
	 */
	@Override
	public String getFileExtension() {
		return "csv";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.server.export.ExportFormat#getMimeType()
	 */
	@Override
	public String getMimeType() {
		return "text/csv";
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.server.export.ExportFormat#isAttachment()
	 */
	@Override
	public boolean isAttachment() {
		return true;
	}

}
