/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.themes.jcs.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.ui.Image;
import com.johnsoncs.gwt.widgets.client.common.DeferredImage;
import com.johnsoncs.gwt.widgets.client.dynamictable.TableImages;
import com.johnsoncs.gwt.widgets.client.themes.Theme;

/**
 * @author wilj
 *
 */
public class JCSTableImages implements TableImages {

	private JCSTableImages() {
	}

	@Override
	public Image getBusySpinner() {
		final Image result = new DeferredImage(GWT.getModuleBaseURL() + "images/busy-spinner.gif");
		result.setTitle(Theme.INSTANCE.getTableMessages().getLoadingData());
		return result;
	}

	@Override
	public Image getExportSpinner() {
		return new DeferredImage(GWT.getModuleBaseURL() + "images/busy-bar.gif");
	}

	@Override
	public Image getOptionsButton() {
		final Image result = JCSImageBundle.INSTANCE.settings().createImage();
		result.setTitle(Theme.INSTANCE.getTableMessages().getOptions());
		return result;
	}

	@Override
	public Image getSortArrowDown() {
		return JCSImageBundle.INSTANCE.arrowDown().createImage();
	}

	@Override
	public Image getSortArrowUnsorted() {
		return JCSImageBundle.INSTANCE.arrowUnsorted().createImage();
	}

	@Override
	public Image getSortArrowUp() {
		return JCSImageBundle.INSTANCE.arrowUp().createImage();
	}

}
