/*
 * Copyright 2009 Johnson Consulting Services
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * 
 */
package com.johnsoncs.gwt.widgets.themes.jcs.client;

import com.google.gwt.core.client.GWT;
import com.johnsoncs.gwt.widgets.client.common.CommonImages;
import com.johnsoncs.gwt.widgets.client.common.CommonMessages;
import com.johnsoncs.gwt.widgets.client.common.ScrollImages;
import com.johnsoncs.gwt.widgets.client.dynamictable.TableImages;
import com.johnsoncs.gwt.widgets.client.dynamictable.TableMessages;
import com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportImages;
import com.johnsoncs.gwt.widgets.client.dynamictable.export.ExportMessages;
import com.johnsoncs.gwt.widgets.client.notifications.NotificationImages;
import com.johnsoncs.gwt.widgets.client.themes.Theme;

/**
 * Default theme for JCS GWT Components
 * @author wilj
 *
 */
public class JCSTheme implements Theme {

	private final TableImages tableImages = GWT.create(JCSTableImages.class);
	private final TableMessages tableMessages = GWT.create(JCSTableMessages.class);
	private final CommonImages commonImages = GWT.create(JCSCommonImages.class);
	private final CommonMessages commonMessages = GWT.create(JCSCommonMessages.class);
	private final ExportMessages exportMessages = GWT.create(JCSExportMessages.class);
	private final ExportImages exportImages = GWT.create(JCSExportImages.class);
	private final NotificationImages notificationImages = GWT.create(JCSNotificationImages.class);
	private final ScrollImages scrollImages = GWT.create(JCSScrollImages.class);

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getCommonImages()
	 */
	@Override
	public CommonImages getCommonImages() {
		return commonImages;
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getCommonMessages()
	 */
	@Override
	public CommonMessages getCommonMessages() {
		return commonMessages;
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getExportImages()
	 */
	@Override
	public ExportImages getExportImages() {
		return exportImages;
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getExportMessages()
	 */
	@Override
	public ExportMessages getExportMessages() {
		return exportMessages;
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getNotificationImages()
	 */
	@Override
	public NotificationImages getNotificationImages() {
		return notificationImages;
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getScrollImages()
	 */
	@Override
	public ScrollImages getScrollImages() {
		return scrollImages;
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getTableImages()
	 */
	@Override
	public TableImages getTableImages() {
		return tableImages;
	}

	/* (non-Javadoc)
	 * @see com.johnsoncs.gwt.widgets.client.themes.Theme#getTableMessages()
	 */
	@Override
	public TableMessages getTableMessages() {
		return tableMessages;
	}

}
